MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027453Community[OCCT] OCCT:Meshpublic2016-04-29 12:542018-11-08 13:04
Reporterventu 
Assigned Tobugmaster 
PrioritynormalSeveritymajor 
StatusverifiedResolutionfixed 
PlatformWindowsOSVC++ 2012OS Version64 bit
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0027453: Wrongly meshed surface
DescriptionWhile importing the attached STeP file, the 13th surface is not meshed correctly (part of the surface is missing from the mesh).
Steps To ReproduceImport file through STEPCAFControl_Reader, extract faces, generate the mesh as follows:
BRepMesh_IncrementalMesh M(myface,0.01,Standard_False,0.5,Standard_True);
TagsNo tags attached.
Test case numberbugs mesh bug27453
Attached Files? file icon 165-174_piattello.stp (538,373 bytes) 2016-04-29 12:54

- Relationships
duplicate of 0025061newoan Open CASCADE BRepMesh should skip internal wires with self intersections to produce mesh for the shape anyway 

-  Notes
(0069444)
apv (tester)
2017-08-16 12:29

Problem described in issue is reproduced on current state of OCCT.
(0078700)
nbv (developer)
2018-08-21 10:15

Fixed by the fix #26106
(0080940)
bugmaster (administrator)
2018-11-08 13:04

Test case is OK

- Issue History
Date Modified Username Field Change
2016-04-29 12:54 ventu New Issue
2016-04-29 12:54 ventu Assigned To => oan
2016-04-29 12:54 ventu File Added: 165-174_piattello.stp
2016-10-12 18:19 oan Relationship added duplicate of 0025061
2016-10-25 17:49 oan Target Version => 7.2.0
2017-07-20 12:43 oan Target Version 7.2.0 => 7.3.0
2017-08-16 12:29 apv Test case number => bugs mesh bug27453
2017-08-16 12:29 apv Note Added: 0069444
2018-02-25 21:14 abv Target Version 7.3.0 => 7.4.0*
2018-08-21 10:15 nbv Note Added: 0078700
2018-08-21 10:15 nbv Assigned To oan => nbv
2018-08-21 10:15 nbv Status new => feedback
2018-10-26 10:11 nbv Assigned To nbv => bugmaster
2018-11-08 13:04 bugmaster Note Added: 0080940
2018-11-08 13:04 bugmaster Status feedback => verified
2018-11-08 13:04 bugmaster Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker